package com.yeejoin.amos.boot.module.common.api.service;

import java.util.List;
import java.util.Map;

import com.yeejoin.amos.boot.biz.common.utils.Menu;
import com.yeejoin.amos.boot.module.common.api.dto.FirefightersDto;
import com.yeejoin.amos.boot.module.common.api.dto.FirefightersInfoDto;
import com.yeejoin.amos.boot.module.common.api.dto.FirefightersZhDto;


/**
 * 消防队员 服务类
 *
 * @author tb
 * @date 2021-06-07
 */
public interface IFirefightersService {


    List<FirefightersZhDto> getFirefighters(int pageNum, int pageSize, FirefightersDto par);

    Map<String, Long> getFirefightersCount(int pageNum, int pageSize, FirefightersDto par);

    Map<String, Object> listToSelectById(Long id);

    List<Menu> getFirefightersJobTitleCount() throws Exception;

    void saveFirefighters(FirefightersInfoDto firefighters);
    
    
    
    
    
    

}
